#
# spec file for package yast2-samba-client (Version 2.9.16)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  samba yast2-devel-packages yast2-installation yast2-pam

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm samba tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-installation yast2-packagemanager yast2-packagemanager-devel yast2-pam yast2-perl-bindings yast2-testsuite

Name:         yast2-samba-client
Version:      2.9.16
Release:      1.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-samba-client-2.9.16.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-pam
BuildArchitectures:	noarch
Summary:      YaST2 - Samba Client Configuration

%description
This package contains the YaST2 component for configuration of an SMB
workgroup/domain and authentication against an SMB domain.



Authors:
--------
    Stanislav Visnovsky <visnov@suse.cz>

%prep
%setup -n yast2-samba-client-2.9.16

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/samba-client
/usr/share/YaST2/include/samba-client/*
/usr/share/YaST2/clients/samba-client.ycp
/usr/share/YaST2/clients/samba-client_*.ycp
/usr/share/YaST2/modules/Samba.ycp
/usr/share/YaST2/modules/Samba.ybc
%{prefix}/share/applications/YaST2/samba-client.desktop
/usr/share/YaST2/scrconf/cfg_smbconf.scr
%doc %{prefix}/share/doc/packages/yast2-samba-client

%changelog -n yast2-samba-client
* Tue Apr 27 2004 - visnov@suse.cz
- enhance API for the new UI
- 2.9.16
* Wed Apr 21 2004 - visnov@suse.cz
- really return password from dialog (#38996)
- 2.9.15
* Mon Apr 19 2004 - visnov@suse.cz
- don't stop nscd when enabling winbind (suggested by lmuelle@suse.de)
- fix testsuite
- 2.9.14
* Tue Apr 06 2004 - visnov@suse.cz
- stop nmbd temporarily for nmbstatus (#38452)
- 2.9.13
* Fri Apr 02 2004 - visnov@suse.cz
- YaST is GPL now
- 2.9.12
* Fri Apr 02 2004 - visnov@suse.cz
- don't try to read netbios name (#37942)
- 2.9.11
* Mon Mar 29 2004 - visnov@suse.cz
- fixed warning
- 2.9.10
* Thu Mar 18 2004 - visnov@suse.cz
- restart winbind if already running (#35356)
- update nmbstatus info if available (#36394)
- 2.9.9
* Mon Mar 15 2004 - visnov@suse.cz
- compilation fix
- 2.9.7
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.7
- Fixed OpenDialog() / SetIcon() sequence
* Mon Mar 08 2004 - visnov@suse.cz
- add yast2-installation to NFB
- set wizard icon
- 2.9.6
* Thu Mar 04 2004 - visnov@suse.cz
- also install samba-winbind (#35343)
* Mon Mar 01 2004 - visnov@suse.cz
- merged back proofread texts
- use Sequencer
- fix types
- 2.9.5
* Wed Feb 18 2004 - jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Wed Feb 18 2004 - visnov@suse.cz
- 2.9.4
* Wed Feb 11 2004 - visnov@suse.cz
- drop /etc/sysconfig/samba support - does not exist anymore
* Mon Feb 09 2004 - visnov@suse.cz
- disable nscd if winbind should be activated
- show "domain" flag in the list of available domains
* Mon Feb 09 2004 - visnov@suse.cz
- use "idmap uid/gid" instead of "winbind uid/gid"
- use "net join" instead of "smbpasswd -j"
- use "net testjoin" instead of "wbinfo -t"
- allow domain joining if nmbstatus not found
- fix #33583: can't join domain with special chars in Administrator-pwd
- drop y2cc
- 2.9.3
* Fri Jan 30 2004 - visnov@suse.cz
- remove "global" keyword
- fix command line support
* Fri Jan 30 2004 - visnov@suse.cz
- first version for the new interpreter
- 2.9.2
* Wed Oct 29 2003 - visnov@suse.cz
- adapted testsuite
- 2.9.1
* Thu Oct 02 2003 - jsuchome@suse.cz
- adapted to new Autologin interface
- 2.9.0
* Wed Sep 24 2003 - visnov@suse.cz
- sync settings to disk before trying to join domain (#31722 -
  samba-client can't join domain)
- 2.8.11
* Tue Sep 23 2003 - jsuchome@suse.cz
- disable autologin when winbind is enabled (#31470)
- 2.8.10
* Wed Sep 17 2003 - visnov@suse.de
- we require "samba-client", not "samba" package
- 2.8.9
* Tue Sep 09 2003 - visnov@suse.de
- #30300: don't misinform  user about required apache2 package
- 2.8.8
* Mon Sep 08 2003 - nashif@suse.de
- #30291: return list of required package for autoyast
* Mon Sep 08 2003 - visnov@suse.de
- fixed autoyast problems (similar to #30161)
- 2.8.6
* Fri Sep 05 2003 - visnov@suse.de
- merged in proofread texts
- 2.8.5
* Thu Sep 04 2003 - visnov@suse.de
- restart nscd after starting winbind
* Tue Sep 02 2003 - visnov@suse.de
- try harder to stop temporary winbind
* Tue Sep 02 2003 - visnov@suse.de
- fix syntax errors
- fix domain joining (pass user instead of password)
* Tue Sep 02 2003 - visnov@suse.de
- do not start winbind if host not in a domain
* Mon Sep 01 2003 - visnov@suse.de
- fix helps, labels (style guide)
- 2.8.4
* Mon Aug 25 2003 - visnov@suse.de
- 2.8.3
* Thu Aug 21 2003 - visnov@suse.de
- show error dialog if required packages are not installed before quit
* Wed Aug 20 2003 - visnov@suse.de
- Do not show Initializing... dialog
* Mon Aug 11 2003 - visnov@suse.de
- added desktop file
- merged in proofread texts
- 2.8.2
* Wed Jul 30 2003 - visnov@suse.de
- start nmbstatus as soon as possible
* Mon Jul 28 2003 - visnov@suse.de
- support for call_modules option in pam_unix2.conf
- 2.8.1
* Thu May 29 2003 - visnov@suse.cz
- initial version
